<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:32 CEST 2019 -->
<title>Uses of Interface refinement.model.refinements.Refinement</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface refinement.model.refinements.Refinement";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/class-use/Refinement.html" target="_top">Frames</a></li>
<li><a href="Refinement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface refinement.model.refinements.Refinement" class="title">Uses of Interface<br>refinement.model.refinements.Refinement</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#refinement.model.refinements">refinement.model.refinements</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#refinement.model.refinements.impl">refinement.model.refinements.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#refinement.model.refinements.util">refinement.model.refinements.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="refinement.model.refinements">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a> in <a href="../../../../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/package-summary.html">refinement.model.refinements</a> that return <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsFactory.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/RefinementsFactory.html#createRefinement--">createRefinement</a></span>()</code>
<div class="block">Returns a new object of class '<em>Refinement</em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></td>
<td class="colLast"><span class="typeNameLabel">Refinements.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-">getRefinement</a></span>(int&nbsp;index)</code>
<div class="block">Return refinement of given index.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/package-summary.html">refinement.model.refinements</a> that return types with arguments of type <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Refinements.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/Refinements.html#getRefinements--">getRefinements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Refinements</b></em>' containment reference list.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/package-summary.html">refinement.model.refinements</a> with parameters of type <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Refinements.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-">addRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>
<div class="block">If refinement kind of given refinement is of type "DELETE", check if an other refinement
 exists for referenceID of given refinement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Refinements.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-">indexOfRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>
<div class="block">Find and return index of given refinement in refinements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Refinements.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement</a></span>(int&nbsp;index,
             <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>
<div class="block">Set given refinement to given index in refinements list.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="refinement.model.refinements.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a> in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> that implement <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl">RefinementImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Refinement</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> that return <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsFactoryImpl.html#createRefinement--">createRefinement</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getRefinement-int-">getRefinement</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> that return types with arguments of type <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getRefinements--">getRefinements</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> with parameters of type <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#addRefinement-refinement.model.refinements.Refinement-">addRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#indexOfRefinement-refinement.model.refinements.Refinement-">indexOfRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsImpl.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement</a></span>(int&nbsp;index,
             <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="refinement.model.refinements.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a> in <a href="../../../../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a> with parameters of type <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/util/RefinementsSwitch.html" title="type parameter in RefinementsSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">RefinementsSwitch.</span><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/util/RefinementsSwitch.html#caseRefinement-refinement.model.refinements.Refinement-">caseRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Refinement</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/class-use/Refinement.html" target="_top">Frames</a></li>
<li><a href="Refinement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
